Update your roadmap persona
curl --request PATCH \
--url https://api.plazza.ca/v1/roadmapPersonas/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Camille T."
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: 'Camille T.'})
};
fetch('https://api.plazza.ca/v1/roadmapPersonas/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapPersonas/me"
payload = { "displayName": "Camille T." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"name": "roadmapPersonas/0192f6a4-6c1e-7a0b-9c3d-4e5f60718293",
"displayName": "Camille Tremblay",
"createTime": "2026-11-04T14:32:08.512Z",
"updateTime": "2026-11-04T14:32:08.512Z"
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Roadmap
Update your roadmap persona
Renames you on everything you posted on the roadmap.
PATCH
/
v1
/
roadmapPersonas
/
me
Update your roadmap persona
curl --request PATCH \
--url https://api.plazza.ca/v1/roadmapPersonas/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Camille T."
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: 'Camille T.'})
};
fetch('https://api.plazza.ca/v1/roadmapPersonas/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapPersonas/me"
payload = { "displayName": "Camille T." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"name": "roadmapPersonas/0192f6a4-6c1e-7a0b-9c3d-4e5f60718293",
"displayName": "Camille Tremblay",
"createTime": "2026-11-04T14:32:08.512Z",
"updateTime": "2026-11-04T14:32:08.512Z"
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Authorizations
Query Parameters
Body
application/json
Response
How you appear on the roadmap.
How you appear on the roadmap.